---
apiVersion: rabbitmq.com/v1beta1
kind: RabbitmqCluster
metadata:
  name: airm-rabbitmq
  namespace: airm
spec:
  persistence:
    storage: 20Gi
    storageClassName: default
  replicas: 1
  resources:
    limits:
      memory: 512Mi
    requests:
      cpu: 250m
      memory: 256Mi
  secretBackend:
    externalSecret:
      name: airm-rabbitmq-admin
  tls:
    secretName: airm-tls-secret
